Subject: Re: [bug#75751] Request for merging "python-team" branch

From: Christopher Baines <[email-masked]>
Date: Wed, 26 Mar 2025 17:41:32 +0000

Ricardo Wurmus <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> QA is still super fragile, but looking at python-team currently it
>> has
>> at least mostly built the branch, and while the information still
>> isn't
>> as clear as it could be, QA is highlighting at least some of the
>> broken
>> packages (at least 35 python-... things I think).
>
> I'm a bit confused by the output at
> https://qa.guix.gnu.org/branch/python-team/package-changes?x86_64-linux-change=blocked&x86_64-linux-change=still-blocked&x86_64-linux-change=unknown-to-blocked&x86_64-linux-change=new-blocked
>
> I spot checked a few of the packages that are listed as "now blocked",
> such as python-pyro-ppl, but they build fine.

So, if you click on "Now blocked" for python-pyro-ppl on that page, you
should end up on:

  https://data.qa.guix.gnu.org/gnu/store/47fixhcjy0cpqv79gpljkjwqjjnm78cw-python-pyro-ppl-1.9.1.drv

If you click on the blue "Scheduled" build button, you should end up on:

  https://data.qa.guix.gnu.org/build-server/2/build?build_server_build_id=116bd413-037a-4960-99f9-13b3b1f23a12

That page should show the failed builds that are blocking the
python-pyro-ppl build, in this case cpp-httplib is failing to build.

Now we're lacking build information from ci.guix.gnu.org, but we do have
substitute information, so if you click on the cpp-httplib derivation,
then on it's output, you can see the output information from
ci.guix.gnu.org, demonstrating that it can be built, and thus yes, it
looks like cpp-httplib shouldn't be blocking python-pyro-ppl.

This cpp-httplib build has failed 3 times across three separate
machines, so even though ci.guix.gnu.org has built it successfully, I'd
say that this is still a problem, although potentially one that hasn't
been introduced by the python-team changes.

> Where do you see the 35 or so python-* packages that are broken?

I'm filtering just by "broken" (e.g. [1]) then roughly counting the
packages prefixed with python- on that page. I also did this for an arm
architecture (e.g. aarch64-linux [2]) since there's a bunch of spurious
failures for x86 and i686. I'm now actually seeing 53 python- things on
that page, so maybe 35 was an undercount.

1: https://qa.guix.gnu.org/branch/python-team/package-changes?x86_64-linux-change=broken
2: https://qa.guix.gnu.org/branch/python-team/package-changes?aarch64-linux-change=broken